function startTeleport()
{
  game.fadeScreen(0xffffff, complete);
}

function complete()
{
  setMemo("yumoTelepot");
  warp("yumo", 11, 6, true);
  player.anim.flipped = false;
}

function startKeeper()
{
  var keeper = getName("keeper");
  keeper.ee(1, true, 16, startTeleport);
  keeper.ac(1);
}
var keeper = getName("keeper");
keeper.ac(0); // In case we do it again!
delay(0.5, startKeeper);